com.amazonaws.services.codedeploy.model

## Class CreateDeploymentGroupResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.CreateDeploymentGroupResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateDeploymentGroupResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a create deployment group operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateDeploymentGroupResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDeploymentGroupResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeploymentGroupId()` A unique deployment group ID.
`int` `hashCode()`
`void` `setDeploymentGroupId(String deploymentGroupId)` A unique deployment group ID.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDeploymentGroupResult` `withDeploymentGroupId(String deploymentGroupId)` A unique deployment group ID.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDeploymentGroupResult

    public CreateDeploymentGroupResult()

### Method Detail

#### setDeploymentGroupId

    public void setDeploymentGroupId(String deploymentGroupId)

A unique deployment group ID.

Parameters:
  `deploymentGroupId` - A unique deployment group ID.

#### getDeploymentGroupId

    public String getDeploymentGroupId()

A unique deployment group ID.

Returns:
  A unique deployment group ID.

#### withDeploymentGroupId

    public CreateDeploymentGroupResult withDeploymentGroupId(String deploymentGroupId)

A unique deployment group ID.

Parameters:
  `deploymentGroupId` - A unique deployment group ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDeploymentGroupResult clone()

Overrides:
  `clone` in class `Object`